<?
session_start();
$_SESSION['s_inuse'] = 1;
$footer_text = "Copyright 2000-2010 RaidenFTPD team. All Rights Reserved.";

function getFileType($string)
{
	$type=strtolower(eregi_replace("^(.*)\.","",$string));
	if(strcmp($type,"jpg") == 0)
		$type="jpeg";
	return $type;
}

function isPrivateIP($ip)
{
	$arr = explode(".",$ip);
	if(count($arr) != 4)
		return false;
	if($arr[0] == 10)
		return true;
	if($arr[0] == 192 && $arr[1] == 168)
		return true;
	if($arr[0] == 172 && ($arr[1] >= 16 && $arr[1] <= 31))
		return true;
	return false;
}

function isFilenameSecure($filename)
{
	if(strstr($filename, '..') != false || strstr($filename, ':') != false || strstr($filename, '"') != false || strstr($filename, "'") != false || strstr($filename, "?") != false || strstr($filename, "*") != false)
		return false;
	else
		return true;
}

function csv_explode($delim=',',$str, $enclose='"',$preserve=false)
{
  $resArr = array();
  $n = 0;
  $expEncArr = explode($enclose, $str);
  foreach($expEncArr as $EncItem)
  {
    if($n++%2)
      array_push($resArr, array_pop($resArr) . ($preserve?$enclose:'') . $EncItem.($preserve?$enclose:''));
    else
    {
      $expDelArr = explode($delim, $EncItem);
      array_push($resArr, array_pop($resArr) . array_shift($expDelArr));
      $resArr = array_merge($resArr, $expDelArr);
    }
  }
  return $resArr;
}

function byte_format($input, $dec=2)
{
	$prefix_arr = array(" Bytes", " KB", " MB", " GB", " TB");
	$value = round($input, $dec);
	$i=0;
	while ($value > 1024)
	{
		$value /= 1024;
		$i++;
	}
	$return_str = round($value, $dec).$prefix_arr[$i];
	return $return_str;
}

?>